package s3;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferStrategy;



import javax.swing.ImageIcon;
import javax.swing.JFrame;

public class AnimSample2 extends JFrame {

	private Image bgImage;
	private Animation anim;



	public void prepare(){
		bgImage = loadImage("image/bg.jpg");
		
		Image image1 = loadImage("image/img1.gif");
		Image image2 = loadImage("image/img2.gif");
		Image image3 = loadImage("image/img3.gif");
		
		anim = new Animation();
		anim.addFrame(image1, 200);
		anim.addFrame(image2, 200);
		anim.addFrame(image1, 200);
		anim.addFrame(image2, 200);
		anim.addFrame(image3, 500);
	}


	public void loopAnim(){
		
		createBufferStrategy(2);
		
		long startTime = System.currentTimeMillis();
		long nowTime = startTime;
		
		while(nowTime - startTime < 10 * 1000){

			long elapsedTime = System.currentTimeMillis() - nowTime;
			nowTime += elapsedTime;

			anim.update(elapsedTime);
			
			BufferStrategy strategy = getBufferStrategy();
			Graphics g = strategy.getDrawGraphics();
			g.drawImage(bgImage, 0, 0, null);
			g.drawImage(anim.getImage(), 100, 100, null);
			g.dispose();
			strategy.show();
			
			try {
				Thread.sleep(20);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
		
	}


	
	private Image loadImage(String path){
		return new ImageIcon(path).getImage();
	}
	

	public static void main(String[] args) {
		AnimSample2 frame = new AnimSample2();

		frame.prepare();

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(640, 480);
		frame.setVisible(true);

		frame.loopAnim();
	}
	



	
}
