package s4;

import java.awt.Image;

import s3.Animation;

public class Sprite {

	private Animation anim;
	private float x;
	private float y;
	private float dx;
	private float dy;


	public Sprite(Animation anim){
		this.anim = anim;
	}

	public void update(long elapsedTime){
		x += dx * elapsedTime;
		y += dy * elapsedTime;
		anim.update(elapsedTime);
	}
	
	

	public Image getImage(){
		return anim.getImage();
	}
	
	public int getHeight(){
		return anim.getImage().getWidth(null);
	}
	
	public int getWidth(){
		return anim.getImage().getHeight(null);
	}
	

	/**
	 * @return
	 */
	public float getVelocityX() {
		return dx;
	}

	/**
	 * @return
	 */
	public float getVelocityY() {
		return dy;
	}

	/**
	 * @return
	 */
	public float getX() {
		return x;
	}

	/**
	 * @return
	 */
	public float getY() {
		return y;
	}

	/**
	 * @param f
	 */
	public void setVelocityX(float f) {
		dx = f;
	}

	/**
	 * @param f
	 */
	public void setVelocityY(float f) {
		dy = f;
	}

	/**
	 * @param f
	 */
	public void setX(float f) {
		x = f;
	}

	/**
	 * @param f
	 */
	public void setY(float f) {
		y = f;
	}

}
